﻿@import url('../fonts/roboto/roboto.min.css');

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.loading-screen {
    position: absolute;
    top: 30vh;
    width: 100%;
    text-align: center
}

.mud-table-pagination-select {
    margin-top: 0px !important;
}

.mud-table-pagination-actions {    
    margin-bottom: 0px !important;
}

th.mud-table-cell {
    background: var(--mud-palette-primary);
}

.mud-table-root .mud-table-head .mud-table-cell {
    color: var(--mud-palette-primary-text);
}

.checkeable-table tr td:first-child {
    width: 1%;
    white-space: nowrap;
}

.actions-table tr td:last-child, .actions-table tr th:last-child {
    width: 1%;
    white-space: nowrap;
    text-align: center;
}